Bug 962462 - firefox doesn't recognize ipv6 link-local addresses
firefox doesn't recognize ipv6 link-local addresses
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: firefox (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity low
: beta
: ---
Assigned To: Jan Horak
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-13 10:40 EDT by David Jaša
Modified: 2017-12-06 06:46 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-06 06:46:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Jaša 2013-05-13 10:40:16 EDT
Description of problem:
firefox doesn't recognize ipv6 link-local addresses

Version-Release number of selected component (if applicable):
firefox-17.0.2-3.el6_3.x86_64

How reproducible:
always

Steps to Reproduce:
1. set up a http server listening on ipv6 on the same network segment (or the same host)
2. note the ipv6 link-local address where the http server listens
3. verify that the server listens with nmap: 
nmap -p80 fe80::link:local:addr%device
(address such as fe80::200:ff:fe00:0%br0; port should be open)
4. type the address to the firefox address bar in brackets [], with or without http:// :
http://[fe80::link:local:addr%device]/
[fe80::link:local:addr%device]

Actual results:
firefox googles the string in the address bar

Expected results:
firefox should connect to the specified address

Additional info:
global IPv6 addresses (without the device name) work correctly
Comment 1 RHEL Product and Program Management 2013-10-13 23:35:19 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 2 Jan Kurik 2017-12-06 06:46:02 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/

Note You need to log in before you can comment on or make changes to this bug.